Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class OpenDiagramEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.OpenEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.OpenDiagramEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class OpenDiagramEditPolicy
extends OpenEditPolicy

Edit Policy which opens the diagram corresponding to the host's semantic model.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`OpenDiagramEditPolicy()`

Method Summary
`protected Command` `getOpenCommand(Request request)` Returns a Command to open a diagram for the given NalDiagramView.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.OpenEditPolicy
`getCommand, getTargetEditPart, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenDiagramEditPolicy

    public OpenDiagramEditPolicy()

Method Detail

### getOpenCommand

    protected Command getOpenCommand(Request request)

  Returns a Command to open a diagram for the given NalDiagramView.

  Specified by:
    `getOpenCommand` in class `OpenEditPolicy`
  Parameters:
    `request` - the Request
  Returns:
    Command
  See Also:
    `OpenEditPolicy.getOpenCommand(org.eclipse.gef.Request)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.